﻿:root {
    --border-radius-md: 15px;
    --color-background: linear-gradient(to right, #1D4ED8, #3B82F6, #06B6D4);    
    --primary: linear-gradient(to right, #1D4ED8, #3B82F6, #06B6D4);
    --gradient-start: #2563EB;
    --gradient-end: #3B82F6;
    --hover-gradient-start: #3B82F6;
    --hover-gradient-end: #60A5FA;
}


body, html {
    height: 100%;
    margin: 0;
    font-family: Helvetica, "Segoe UI",Arial, Tahoma, Geneva, Verdana, sans-serif;   
    min-height: 100vh;
}
    body::before {
        content: "";
        position: fixed;
        inset: 0;
        background-image: url('/images/bg_login_update.png');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        opacity: 0.375; /* only background fades */
        z-index: -1;
        /*background: conic-gradient( from 180deg at 0% 0%, #2563EB, #1D4ED8, #06B6D4, #2563EB );*/
    }
.form-control {
    padding: 0.8rem;
    font-size: 0.7rem;
    border-radius: 0.3rem;
}

.glass-card {    
    /*background: rgba(255, 255, 255, 0.8) !important;  */ 
    backdrop-filter: blur(12px) saturate(180%);
    -webkit-backdrop-filter: blur(12px) saturate(180%);   
    border: 1px solid rgba(255, 255, 255, 0.9) !important;
    border-radius: 15px;
}
.glass-card .form-control {
       /* background: rgba(255, 255, 255, 0.8);*/
        border: 1px solid rgba(105, 108, 255, 0.9);
    }

.gradient-custom-4 {
    background: #1D4ED8;
    background: -webkit-linear-gradient(to right, #1D4ED8, #06B6D4);
    background: linear-gradient(to right, #1D4ED8, #06B6D4);
    transition: all 0.3s ease;
}

.gradient-custom-4:hover,
.gradient-custom-4:active {
    background: #2563EB;
    background: -webkit-linear-gradient(to right, #2563EB, #3B82F6);
    background: linear-gradient(to right, #2563EB, #3B82F6);
    font-weight: bold;
    transform: translateY(-2px);
    box-shadow: 0 8px 20px rgba(29, 78, 216, 0.3);
}
.password-wrapper {
    position: relative;
}

    .password-wrapper i {
        position: absolute;
        top: 50%;
        right: 15px;
        transform: translateY(-50%);
        cursor: pointer;
    }
.row {
    --bs-gutter-x: none;
    border-radius: 0.25rem;
}
.mask {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
.row {
    border-radius: 15px;
}
.card {
    border-radius: 15px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-width: 600px;
    width: 100%;
    margin: auto;
    height: 100%;
}

.card-body {
    padding: 2rem;
}

.text-capitalize {
    text-transform: uppercase;
}

.btn {
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}

.btn-lg {
    font-size: 1rem;
    padding: 1rem 2rem;
}

.btn-info {
    background-color: #0dcaf0;
    color: white;
}

    .btn-info:hover {
        background-color: #0bb5d3;
    }

.form-control {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-control-lg {
    padding: 1rem;
    font-size: 1.25rem;
    border-radius: 0.3rem;
}

.invalid-feedback {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: #dc3545;
}

.form-outline {
    margin-bottom: 1.1rem;
}

.form-outline input.is-invalid ~ .invalid-feedback {
    display: block;
}

#loader {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1051; 
}

.blur {
    filter: blur(5px);
    pointer-events: none; 
}